$( document ).ready(function() {
	$("form.form-basket").on('submit', function(event) {
		
		var productImage = $(this).closest('.product-cell').find('.image-wrapper .image-content img');

		if (productImage.length == 0) {
			var productImage = $(this).closest('.product-cell').find('.image-wrapper > * > div img');
		}
		if (productImage.length > 0) {
			var productX = productImage.offset().left;
			var productY = productImage.offset().top;

			var basketAffix = $('#evo-main-nav-wrapper.affix .megamenu .fa-shopping-cart').closest('li.visible-affix');
			var basketXS = $('#shop-nav-xs ul.nav .fa-shopping-cart').closest('li');
			if (basketAffix.length > 0) {
				var basket = basketAffix;
			} else if (basketXS.length > 0 && /Mobi/.test(navigator.userAgent)) {
				console.log('NETZdinge.de Warenkorb Animation: mobile detected!')
				var basket = basketXS;
			} else {
				var basket = $(".cart-menu");
			}

			var basketX = basket.offset().left;
			var basketY = basket.offset().top;

			var gotoX = basketX - productX;
			var gotoY = basketY - productY;


			var newImageWidth = productImage.width() / 3;
			var newImageHeight = productImage.height() / 3;

			$(productImage)
				.clone()
				.prependTo("body")
				.css({'position' : 'absolute', 'left': productX , 'top' : productY , 'z-index' : '9999'})
				.animate({opacity: 0.9}, 100 )
				.animate({opacity: 0.6, marginLeft: gotoX, marginTop: gotoY, width: newImageWidth,
								 height: newImageHeight}, 1200, function() {
					$(this).remove();
					basket.addClass('inCart');
					setTimeout(function() {
						basket.removeClass('inCart');
					}, 500);
				});

			if ($('body.noCartPopUp').length > 0) {
				$('body').bind('DOMNodeInserted', '.modal', function() {
					if ($('.modal a.btn-basket').length) {
						$('.modal').remove();
						$('body').removeClass('modal-open').removeAttr('style');
						$('.modal-backdrop').remove();
						return false;
					}
				});
			}
			
			$('.modal-backdrop').remove();
		}
			
	});

	
	$("#add-to-cart #quantity-grp button[type='submit']").on('click touch', function(event) {
		event.preventDefault();
		handleImage(this);
	});

	
	$("#buy_form .product-matrix button[type='submit']").on('click touch', function(event) {
		event.preventDefault();
		handleImage(this);
	});
});

function handleImage(target) {
	var productImage = $(target).closest('#product-offer').find('#gallery .image-container .active img.img-responsive-width');
//	console.log('productImage.length: ' + productImage.length);
	if (productImage.length > 0) {
		var productX = productImage.offset().left;
		var productY = productImage.offset().top;

		var basketAffix = $('#evo-main-nav-wrapper.affix .megamenu .fa-shopping-cart').closest('li.visible-affix');
		var basketXS = $('#shop-nav-xs ul.nav .fa-shopping-cart').closest('li');
		if (basketAffix.length > 0) {
			var basket = basketAffix;
		} else if (basketXS.length > 0 && /Mobi/.test(navigator.userAgent)) {
			console.log('NETZdinge.de Warenkorb Animation: mobile detected!')
			var basket = basketXS;
		} else {
			var basket = $(".cart-menu");
		}

		var basketX = basket.offset().left;
		var basketY = basket.offset().top;

		var gotoX = basketX - productX;
		var gotoY = basketY - productY;


		var ImageWidth = productImage.width();
		var newImageWidth = ImageWidth / 3;
//		console.log('Width: '  + ImageWidth + ' -> ' + newImageWidth);
		var ImageHeight = productImage.height();
		var newImageHeight = ImageHeight / 3;
//		console.log('Height: '  + ImageHeight + ' -> ' + newImageHeight);

		$(productImage)
			.clone()
			.prependTo("body")
			.css({'position' : 'absolute', 'left': productX , 'top' : productY , 'z-index' : '9999', width: ImageWidth, height: ImageHeight})
			.animate({opacity: 0.9}, 100 )
			.animate({opacity: 0.6, marginLeft: gotoX, marginTop: gotoY, width: newImageWidth,
							 height: newImageHeight}, 1200, function() {
				$(this).remove();
				basket.addClass('inCart')
				setTimeout(function() {
					basket.removeClass('inCart')
				}, 500);
				$('#buy_form').submit();
				return false;
			});
	} else {
		$('#buy_form').submit();
		return false;
	}
}